### Method

# AppStreamCompose Unit get_bundle_id_safe

#### Declaration [src]

    const gchar*
    asc_unit_get_bundle_id_safe (
      AscUnit* unit
    )

#### Description [src]

Gets the ID name of the bundle, normalized to be safe to use in filenames. This may not be the same name as set via asc_unit_get_bundle_id().

#### Return value

Type: `const gchar*`

No description available.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.